package Client;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import pkg.IdentityWithGeneratorAttr;

public class TestPKStrategies {

    private static EntityManagerFactory emf;
    private static EntityManager em;
    
    public TestPKStrategies() {
    }
    
    public static void main(String[] args) {
        TestPKStrategies qe = new TestPKStrategies();
        
        emf = Persistence.createEntityManagerFactory("TryingPKStrategiesPU");
        em = emf.createEntityManager();
        
        qe.testIdentityWithGeneratorAttr();
    }

    private void testIdentityWithGeneratorAttr() {
        em.getTransaction().begin();
        IdentityWithGeneratorAttr entity1 = new IdentityWithGeneratorAttr();
        IdentityWithGeneratorAttr entity2 = new IdentityWithGeneratorAttr();
        em.persist(entity1);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("IdentityWithGeneratorAttr: Id generated - " + entity1.getId());
        System.out.println("IdentityWithGeneratorAttr: Id generated - " + entity2.getId());
    }
    
}
